Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1150245 - [RFE] Add facility to move a memory volume
Summary: [RFE] Add facility to move a memory volume
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.2.2
: 4.2.2.2
Assignee: Tal Nisan
QA Contact: Yosi Ben Shimon
URL:
Whiteboard:
Depends On: 1150239
Blocks: 1145658 1509807 1542118
TreeView+ depends on / blocked
 
Reported: 2014-10-07 18:52 UTC by Allon Mureinik
Modified: 2018-04-09 06:36 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Memory volumes from snapshots can now be moved to other storage domains within the same data center.
Clone Of:
: 1542118 (view as bug list)
Environment:
Last Closed: 2018-03-29 11:04:07 UTC
oVirt Team: Storage
rule-engine: ovirt-4.2+
ylavi: planning_ack+
tnisan: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 87597 master MERGED Support memory images on different storage domains 2018-02-21 13:55:38 UTC
oVirt gerrit 88036 ovirt-4.2 MERGED Support memory images on different storage domains 2018-02-22 11:57:20 UTC
oVirt gerrit 88209 master MERGED core: Allow moving of memory images 2018-02-27 15:42:22 UTC
oVirt gerrit 88260 ovirt-engine-4.2 MERGED core: Allow moving of memory images 2018-02-27 16:18:45 UTC

Description Allon Mureinik 2014-10-07 18:52:38 UTC
Description of problem:
Memory volumes are created on a storage domain without allowing the user to choose where they go, and their existence may interfere with the admin's ability to manage that domain (see, e.g., bug 1145658).
One way around this is the ability to remove these volumes (see bug 1150242), but as they may be important, it's also critical to have the ability to move them to another domain.

Comment 1 Sandro Bonazzola 2015-09-04 09:02:54 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 2 Tal Nisan 2017-11-06 10:27:06 UTC
*** Bug 1509807 has been marked as a duplicate of this bug. ***

Comment 4 Yosi Ben Shimon 2018-03-25 12:55:24 UTC
Tested using:
ovirt-engine-4.2.2.5-0.1.el7.noarch
vdsm-4.20.23-1.el7ev.x86_64

Tried snapshot creation and Storage migration of snapshot_memory & snapshot_metadata both Live & Cold migration.

Actual result:
- The WebAdmin UI shows the size of the disk (memory) and the Storage Domain.
- The migration was successful.

Moving to VERIFIED

Comment 5 Sandro Bonazzola 2018-03-29 11:04:07 UTC
This bugzilla is included in oVirt 4.2.2 release, published on March 28th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.2 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.